Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap36
1 files changed, 36 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..6b6fcda
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Bootstrap from source repository
+#
+# Copyright (C) 2018 R-T Specialty, LLC.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+set -euo pipefail
+
+export SAXON_CP="${SAXON_CP?Missing path to saxon9he.jar}"
+export RATER_CLASSPATH="${RATER_CLASSPATH:-$SAXON_CP}"
+export HOXSL="${HOXSL?Missing path to hoxsl}"
+
+test "${1:-}" = -n || git submodule update --init --recursive
+
+cd progtest \
+ && { which npm && npm install || true; } \
+ && ./autogen.sh && ./configure \
+ && cd - \
+ && { test -e hoxsl || ln -s ../hoxsl; } \
+ && autoreconf -fvi \
+ && ./configure \
+ && make all
+